## org.eclipse.emf.codegen.ecore.genmodel.impl
Class GenPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
                      org.eclipse.emf.codegen.ecore.genmodel.impl.GenPackageImpl

All Implemented Interfaces:
  GenBase, GenPackage, Notifier, EObject, InternalEObject

    public class GenPackageImpl

extends GenBaseImpl
implements GenPackage

An implementation of the model object 'Gen Package'.

The following features are implemented:

- `Prefix`
- `Base Package`
- `Resource`
- `Disposable Provider Factory`
- `Adapter Factory`
- `Load Initialization`
- `Interface Package Suffix`
- `Meta Data Package Suffix`
- `Class Package Suffix`
- `Utility Package Suffix`
- `Provider Package Suffix`
- `Presentation Package Suffix`
- `Tests Package Suffix`
- `Generate Example Class`
- `Literals Interface`
- `Data Type Converters`
- `Multiple Editor Pages`
- `Generate Model Wizard`
- `Extensible Provider Factory`
- `Child Creation Extenders`
- `Content Type Identifier`
- `File Extensions`
- `Ecore Package`
- `Gen Model`
- `Gen Enums`
- `Gen Data Types`
- `Gen Classes`
- `Nested Gen Packages`
- `Gen Classifiers`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`GenBaseImpl.AnnotationFilter, GenBaseImpl.AnnotationFilterImpl, GenBaseImpl.ColorInformation, GenBaseImpl.EclipseUtil, GenBaseImpl.GenAnnotationCopier, GenBaseImpl.GenClassFilter, GenBaseImpl.GenConstraintFilter, GenBaseImpl.GenFeatureFilter, GenBaseImpl.GenOperationFilter, GenBaseImpl.GIFEmitter, GenBaseImpl.UniqueNameHelper`

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList<E extends java.lang.Object & Adapter>`

Nested classes/interfaces inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenPackage
`GenPackage.AnnotationReferenceData`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected static boolean` `ADAPTER_FACTORY_EDEFAULT` The default value of the '`Adapter Factory`' attribute
`protected boolean` `adapterFactory` The cached value of the '`Adapter Factory`' attribute
`protected static java.lang.String` `BASE_PACKAGE_EDEFAULT` The default value of the '`Base Package`' attribute
`protected java.lang.String` `basePackage` The cached value of the '`Base Package`' attribute
`protected static boolean` `CHILD_CREATION_EXTENDERS_EDEFAULT` The default value of the '`Child Creation Extenders`' attribute
`protected boolean` `childCreationExtenders` The cached value of the '`Child Creation Extenders`' attribute
`protected static java.lang.String` `CLASS_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Class Package Suffix`' attribute
`protected java.lang.String` `classPackageSuffix` The cached value of the '`Class Package Suffix`' attribute
`protected static java.lang.String` `CONTENT_TYPE_IDENTIFIER_EDEFAULT` The default value of the '`Content Type Identifier`' attribute
`protected java.lang.String` `contentTypeIdentifier` The cached value of the '`Content Type Identifier`' attribute
`protected static boolean` `DATA_TYPE_CONVERTERS_EDEFAULT` The default value of the '`Data Type Converters`' attribute
`protected boolean` `dataTypeConverters` The cached value of the '`Data Type Converters`' attribute
`protected static boolean` `DISPOSABLE_PROVIDER_FACTORY_EDEFAULT` The default value of the '`Disposable Provider Factory`' attribute
`protected boolean` `disposableProviderFactory` The cached value of the '`Disposable Provider Factory`' attribute
`protected EPackage` `ecorePackage` The cached value of the '`Ecore Package`' reference
`protected static boolean` `EXTENSIBLE_PROVIDER_FACTORY_EDEFAULT` The default value of the '`Extensible Provider Factory`' attribute
`protected boolean` `extensibleProviderFactory` The cached value of the '`Extensible Provider Factory`' attribute
`protected static java.lang.String` `FILE_EXTENSIONS_EDEFAULT` The default value of the '`File Extensions`' attribute
`protected java.lang.String` `fileExtensions` The cached value of the '`File Extensions`' attribute
`protected EList<GenClass>` `genClasses` The cached value of the '`Gen Classes`' containment reference list
`protected EList<GenDataType>` `genDataTypes` The cached value of the '`Gen Data Types`' containment reference list
`protected EList<GenEnum>` `genEnums` The cached value of the '`Gen Enums`' containment reference list
`protected static boolean` `GENERATE_EXAMPLE_CLASS_EDEFAULT` The default value of the '`Generate Example Class`' attribute
`protected static boolean` `GENERATE_MODEL_WIZARD_EDEFAULT` The default value of the '`Generate Model Wizard`' attribute
`protected boolean` `generateExampleClass` The cached value of the '`Generate Example Class`' attribute
`protected boolean` `generateModelWizard` The cached value of the '`Generate Model Wizard`' attribute
`protected static java.lang.String` `INTERFACE_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Interface Package Suffix`' attribute
`protected java.lang.String` `interfacePackageSuffix` The cached value of the '`Interface Package Suffix`' attribute
`protected static boolean` `LITERALS_INTERFACE_EDEFAULT` The default value of the '`Literals Interface`' attribute
`protected boolean` `literalsInterface` The cached value of the '`Literals Interface`' attribute
`protected static boolean` `LOAD_INITIALIZATION_EDEFAULT` The default value of the '`Load Initialization`' attribute
`protected boolean` `loadInitialization` The cached value of the '`Load Initialization`' attribute
`protected static java.lang.String` `META_DATA_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Meta Data Package Suffix`' attribute
`protected java.lang.String` `metaDataPackageSuffix` The cached value of the '`Meta Data Package Suffix`' attribute
`protected static boolean` `MULTIPLE_EDITOR_PAGES_EDEFAULT` The default value of the '`Multiple Editor Pages`' attribute
`protected boolean` `multipleEditorPages` The cached value of the '`Multiple Editor Pages`' attribute
`protected EList<GenPackage>` `nestedGenPackages` The cached value of the '`Nested Gen Packages`' containment reference list
`protected static boolean` `NO_CONSTRAINTS`
`protected java.lang.String` `prefix` The cached value of the '`Prefix`' attribute
`protected static java.lang.String` `PREFIX_EDEFAULT` The default value of the '`Prefix`' attribute
`protected static java.lang.String` `PRESENTATION_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Presentation Package Suffix`' attribute
`protected java.lang.String` `presentationPackageSuffix` The cached value of the '`Presentation Package Suffix`' attribute
`protected static java.lang.String` `PROVIDER_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Provider Package Suffix`' attribute
`protected java.lang.String` `providerPackageSuffix` The cached value of the '`Provider Package Suffix`' attribute
`protected GenResourceKind` `resource` The cached value of the '`Resource`' attribute
`protected static GenResourceKind` `RESOURCE_EDEFAULT` The default value of the '`Resource`' attribute
`protected static java.lang.String` `TESTS_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Tests Package Suffix`' attribute
`protected java.lang.String` `testsPackageSuffix` The cached value of the '`Tests Package Suffix`' attribute
`protected static java.lang.String` `UTILITY_PACKAGE_SUFFIX_EDEFAULT` The default value of the '`Utility Package Suffix`' attribute
`protected java.lang.String` `utilityPackageSuffix` The cached value of the '`Utility Package Suffix`' attribute
`protected static java.lang.String` `XSD2ECORE_URI`

Fields inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl
`DEFAULT_ANNOTATION_FILTER, EMPTY_URI, genAnnotations, PLATFORM_RESOURCE_URI`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenPackageImpl()`

Method Summary
`EPackage` `basicGetEcorePackage()`
`NotificationChain` `basicSetGenModel(GenModel newGenModel, NotificationChain msgs)`
`boolean` `canGenerateSchema()` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`boolean` `canGenerateTests()`
`void` `clearCache()` Clear the cache for unique naming information.
`protected void` `collectPackages(java.util.List<GenPackage> result, java.util.List<GenPackage> genPackages, int depth)` Collects into result nested GenPackages to the specified depth, not counting those without classifiers (for which nothing is ever generated); -1 for no limit.
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`void` `generate(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEdit(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateEditor(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generatePackageSerialization(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`void` `generateSchema()` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateSchema(Monitor progressMonitor)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`void` `generateTests(Monitor progressMonitor)` Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.
`protected void` `generateXSD(java.lang.String type)` Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.
`java.lang.String` `getActionBarContributorClassName()`
`java.util.List<GenPackage>` `getAdapterDelegatePackages()`
`java.util.List<GenClass>` `getAdapterDelegateSuperClasses()`
`java.lang.String` `getAdapterFactoryClassName()`
`java.lang.String` `getAdapterFactoryDelegateName(GenPackage genDelegate)`
`java.util.List<EAnnotation>` `getAllAnnotations()`
`java.util.List<GenDataType>` `getAllGenDataTypes()`
`java.util.List<GenFeature>` `getAllGenFeatures()`
`java.util.List<EAnnotation>` `getAllNestedAnnotations(EAnnotation eAnnotation)`
`java.util.List<GenClass>` `getAllSwitchGenClasses()`
`java.util.List<GenPackage>` `getAllValidatorBaseGenPackages()`
`java.lang.String` `getAnnotatedModelElementAccessor(EAnnotation eAnnotation)`
`java.lang.String` `getAnnotationSourceIdentifier(java.lang.String annotationSource)`
`java.util.List<java.lang.String>` `getAnnotationSources()`
`java.lang.String` `getBasePackage()` Returns the value of the 'Base Package' attribute
`java.lang.String` `getBasePackageGen()`
`java.lang.String` `getBasicPackageName()` Returns the name of the single package class generated when interfaces are suppressed.
`java.lang.String` `getCapPackageID()`
`java.lang.String` `getChildCreationExtenderName(GenPackage genPackage)`
`java.lang.String` `getClassifierID(GenClassifier genClassifier)`
`int` `getClassifierValue(GenClassifier genClassifier)`
`java.lang.String` `getClassPackageName()`
`java.lang.String` `getClassPackageSuffix()`
`java.lang.String` `getClassUniqueName(GenClass genClass)`
`java.lang.String` `getContentTypeIdentifier()`
`GenClass` `getDocumentRoot()`
`EModelElement` `getEcoreModelElement()`
`EPackage` `getEcorePackage()`
`java.lang.String` `getEditorClassName()`
`java.lang.String` `getEditorPluginClassName()`
`java.lang.String` `getEditPluginClassName()`
`java.lang.String` `getExampleClassName()`
`java.util.Map<GenPackage,java.util.Map<GenClass,java.util.List<GenClass.ChildCreationData>>>` `getExtendedChildCreationData()` Returns a nested map structure describing the child creation extensions that this package provides to other packages.
`java.lang.String` `getFactoryClassName()`
`java.lang.String` `getFactoryInstanceName()`
`java.lang.String` `getFactoryInterfaceName()`
`java.lang.String` `getFactoryName()` Returns the name of the single factory class generated when interfaces are suppressed.
`java.lang.String` `getFileExtension()` Returns the first `file extension` in the comma-separated list.
`java.lang.String` `getFileExtensions()` Returns the value of the 'File Extensions' attribute
`java.lang.String` `getFileExtensionsGen()`
`java.util.List<GenFeature>` `getFilteredAllGenFeatures()`
`EList<GenClass>` `getGenClasses()`
`EList<GenClassifier>` `getGenClassifiers()`
`EList<GenDataType>` `getGenDataTypes()`
`EList<GenEnum>` `getGenEnums()`
`GenModel` `getGenModel()` Returns the value of the 'Gen Model' container reference.
`GenModel` `getGenModelGen()` Deprecated.
`java.lang.String` `getImportedActionBarContributorClassName()`
`java.lang.String` `getImportedAdapterFactoryClassName()`
`java.lang.String` `getImportedEditorClassName()`
`java.lang.String` `getImportedEditorPluginClassName()`
`java.lang.String` `getImportedEditPluginClassName()`
`java.lang.String` `getImportedFactoryClassName()`
`java.lang.String` `getImportedFactoryInterfaceName()`
`java.lang.String` `getImportedItemProviderAdapterFactoryClassName()`
`java.lang.String` `getImportedModelWizardClassName()`
`java.lang.String` `getImportedPackageClassName()`
`java.lang.String` `getImportedPackageInterfaceName()`
`java.lang.String` `getImportedResourceBaseClassName()`
`java.lang.String` `getImportedResourceClassName()`
`java.lang.String` `getImportedResourceFactoryBaseClassName()`
`java.lang.String` `getImportedResourceFactoryClassName()`
`java.lang.String` `getImportedTestSuiteClassName()`
`java.lang.String` `getImportedValidatorClassName()`
`java.lang.String` `getImportedXMLProcessorBaseClassName()`
`java.lang.String` `getInterfacePackageName()`
`java.lang.String` `getInterfacePackageSuffix()`
`java.lang.String` `getItemProviderAdapterFactoryClassName()`
`java.util.List<java.lang.String>` `getJavaLangConflicts()`
`int` `getLocalClassifierIndex(GenClassifier genClassifier)`
`java.lang.String` `getMetaDataPackageSuffix()`
`java.lang.String` `getModelIconFileName()`
`java.lang.String` `getModelInfo()`
`java.lang.String` `getModelWizardClassName()`
`java.lang.String` `getModelWizardIconFileName()`
`java.lang.String` `getName()`
`EList<GenPackage>` `getNestedGenPackages()`
`java.lang.String` `getNSName()`
`java.lang.String` `getNSURI()`
`java.util.List<GenClass>` `getOrderedGenClasses()` Returns the list of GenClasses in the GenPackage, ordered such that a class always follows all of the classes it extends.
`java.util.List<GenClassifier>` `getOrderedGenClassifiers()`
`java.util.List<GenPackage>` `getPackageBuildInterDependencies()`
`java.lang.String` `getPackageClassName()`
`java.lang.String` `getPackageID()`
`java.util.List<GenPackage>` `getPackageInitializationDependencies()`
`java.lang.String` `getPackageInstanceVariable(GenPackage genPackage)`
`java.util.List<GenPackage>` `getPackageInterDependencies()`
`java.lang.String` `getPackageInterfaceName()`
`java.util.List<GenPackage>` `getPackageLoadInterDependencies()`
`java.lang.String` `getPackageName()`
`java.util.List<GenPackage>` `getPackageSimpleDependencies()`
`java.lang.String` `getPrefix()` Returns the value of the 'Prefix' attribute
`protected java.lang.String` `getPrefixedName(java.lang.String name)`
`java.lang.String` `getPrefixGen()`
`java.lang.String` `getPresentationPackageName()`
`java.lang.String` `getPresentationPackageSuffix()`
`java.lang.String` `getProviderPackageName()`
`java.lang.String` `getProviderPackageSuffix()`
`java.util.List<java.lang.String>` `getProviderSupportedTypes()`
`java.lang.String` `getQualifiedActionBarContributorClassName()`
`java.lang.String` `getQualifiedAdapterFactoryClassName()`
`java.lang.String` `getQualifiedContentTypeIdentifier()` Returns the qualified content type identifier.
`java.lang.String` `getQualifiedEditorClassName()`
`java.lang.String` `getQualifiedEditorPluginClassName()`
`java.lang.String` `getQualifiedEditPluginClassName()`
`java.lang.String` `getQualifiedEFactoryInstanceAccessor()`
`java.lang.String` `getQualifiedEFactoryInternalInstanceAccessor()`
`java.lang.String` `getQualifiedEffectiveResourceFactoryClassName()` Returns the package's `resource factory class name`, or the framework's default XMI resource factory class name if no `resource` will be generated for the package.
`java.lang.String` `getQualifiedExampleClassName()`
`java.lang.String` `getQualifiedFactoryClassName()`
`java.lang.String` `getQualifiedFactoryInstanceAccessor()`
`java.lang.String` `getQualifiedFactoryInterfaceName()`
`java.lang.String` `getQualifiedItemProviderAdapterFactoryClassName()`
`java.lang.String` `getQualifiedModelWizardClassName()`
`java.lang.String` `getQualifiedPackageClassName()`
`java.lang.String` `getQualifiedPackageInterfaceName()`
`java.lang.String` `getQualifiedPackageName()`
`protected java.lang.String` `getQualifiedPackageName(java.lang.String suffix)`
`java.lang.String` `getQualifiedResourceClassName()`
`java.lang.String` `getQualifiedResourceFactoryClassName()`
`java.lang.String` `getQualifiedSwitchClassName()`
`java.lang.String` `getQualifiedTestSuiteClassName()`
`java.lang.String` `getQualifiedValidatorClassName()`
`java.lang.String` `getQualifiedXMLProcessorClassName()`
`java.util.List<GenPackage.AnnotationReferenceData>` `getReferenceData(EAnnotation eAnnotation)`
`java.lang.String` `getReflectionClassPackageName()`
`java.lang.String` `getReflectionPackageName()`
`GenResourceKind` `getResource()`
`java.lang.String` `getResourceClassName()`
`java.lang.String` `getResourceFactoryClassName()`
`GenClass` `getRootClass()`
`GenFeature` `getRootFeature()`
`GenPackage` `getRootGenPackage()` Returns the top-most GenPackage-typed container for which hasClassifiers() is true, which may be this GenPackage, itself.
`java.lang.String` `getSerializedPackageFilename()`
`java.util.List<GenPackage>` `getSubGenPackages()` Returns a list of those nestedGenPackages for which hasClassifiers() is true.
`GenPackage` `getSuperGenPackage()` Returns the closest GenPackage-typed container for which hasClassifiers() is true, or null if there is none.
`java.lang.String` `getSwitchClassName()`
`java.lang.String` `getTestsPackageName()`
`java.lang.String` `getTestsPackageSuffix()`
`java.lang.String` `getTestSuiteClassName()`
`java.lang.String` `getUncapAdapterFactoryClassName()`
`java.lang.String` `getUncapAdapterFactoryDelegateName(GenPackage genDelegate)`
`java.lang.String` `getUncapFactoryInterfaceName()`
`java.lang.String` `getUncapFactoryName()`
`java.lang.String` `getUncapPackageInterfaceName()`
`java.lang.String` `getUncapPackageName()`
`java.lang.String` `getUtilitiesPackageName()`
`java.lang.String` `getUtilityPackageSuffix()`
`java.lang.String` `getValidatorClassName()`
`java.lang.String` `getValidatorPackageUniqueSafeName(GenPackage genPackage)`
`java.lang.String` `getXMLProcessorClassName()`
`boolean` `hasClassifiers()`
`boolean` `hasClassifiers(boolean traverseNestedPackages)`
`boolean` `hasConcreteClasses()`
`boolean` `hasConstraints()`
`boolean` `hasDocumentRoot()`
`boolean` `hasExtendedMetaData()`
`protected static boolean` `hasExtendedMetaData(EPackage ePackage)`
`boolean` `hasInterfaceImplConflict()`
`boolean` `hasJavaLangConflict()`
`protected boolean` `hasModelContribution()`
`boolean` `hasStatefulProvider()`
`boolean` `hasTargetNamespace()`
`boolean` `hasTests()`
`boolean` `hasXMLMap()`
`void` `initialize(EPackage ePackage)`
`boolean` `isAdapterFactory()`
`protected boolean` `isBigModel()`
`boolean` `isChildCreationExtenders()`
`boolean` `isContentType()` Returns whether the package should define a content type.
`boolean` `isDataTypeConverters()`
`boolean` `isDisposableProviderFactory()`
`boolean` `isEcorePackage()`
`boolean` `isExtensibleProviderFactory()`
`boolean` `isGenerateExampleClass()`
`boolean` `isGenerateModelWizard()`
`boolean` `isLiteralsInterface()`
`boolean` `isLoadedInitialization()` Returns true if this package's root, which may be itself, requires, or has a subpackage that requires, load initialization.
`boolean` `isLoadingInitialization()` Returns true if this is a root package that requires, or has a direct or indirect subpackage that requires, load initialization.
`boolean` `isLoadInitialization()`
`boolean` `isMultipleEditorPages()`
`boolean` `isMultipleFileExtensions()` Returns whether the model supports multiple file extensions, based both on the specified `extensions` and the use of a `content type`.
`boolean` `isXMIResource()` Returns whether the package's `resource` produces an XMI serialization.
`void` `prepareCache()` Create helpers to cache and supply information for unique naming.
`boolean` `reconcile()`
`boolean` `reconcile(GenPackage oldGenPackageVersion)`
`protected void` `reconcileSettings(GenPackage oldGenPackageVersion)`
`void` `setAdapterFactory(boolean newAdapterFactory)`
`void` `setBasePackage(java.lang.String newBasePackage)`
`void` `setChildCreationExtenders(boolean newChildCreationExtenders)`
`void` `setClassPackageSuffix(java.lang.String newClassPackageSuffix)`
`void` `setContentTypeIdentifier(java.lang.String newContentTypeIdentifier)`
`void` `setDataTypeConverters(boolean newDataTypeConverters)`
`void` `setDisposableProviderFactory(boolean newDisposableProviderFactory)`
`void` `setEcorePackage(EPackage newEcorePackage)`
`void` `setExtensibleProviderFactory(boolean newExtensibleProviderFactory)`
`void` `setFileExtensions(java.lang.String newFileExtensions)`
`void` `setGenerateExampleClass(boolean newGenerateExampleClass)`
`void` `setGenerateModelWizard(boolean newGenerateModelWizard)`
`void` `setGenModel(GenModel newGenModel)`
`void` `setInterfacePackageSuffix(java.lang.String newInterfacePackageSuffix)`
`void` `setLiteralsInterface(boolean newLiteralsInterface)`
`void` `setLoadInitialization(boolean newLoadInitialization)`
`void` `setMetaDataPackageSuffix(java.lang.String newMetaDataPackageSuffix)`
`void` `setMultipleEditorPages(boolean newMultipleEditorPages)`
`void` `setPrefix(java.lang.String newPrefix)`
`void` `setPresentationPackageSuffix(java.lang.String newPresentationPackageSuffix)`
`void` `setProviderPackageSuffix(java.lang.String newProviderPackageSuffix)`
`void` `setResource(GenResourceKind newResource)`
`void` `setTestsPackageSuffix(java.lang.String newTestsPackageSuffix)`
`void` `setUtilityPackageSuffix(java.lang.String newUtilityPackageSuffix)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.codegen.ecore.genmodel.impl.GenBaseImpl

`addNonDuplicates, appendAnnotationInfo, appendAnnotationInfo, appendAnnotationInfo, appendLineBreak, appendModelSetting, appendModelSetting, canGenerate, canGenerateEdit, canGenerateEditor, capName, collectGenClasses, collectGenConstraints, collectGenFeatures, collectGenOperations, createInputStream, createMonitor, createOutputStream, eObjectForURIFragmentSegment, escapeString, eURIFragmentSegment, exists, filterGenClasses, findGenClass, findGenClassifier, findGenDataType, findGenEnum, findGenFeature, findGenOperation, findGenPackage, findGenPackageHelper, findOrCreateContainer, format, format, formatCode, gen, gen, genEdit, genEditor, generate, generate, generate, generate, generate, generate, generateEdit, generateEditor, generateSchema, generateTests, genSchema, genTests, getAllGenPackages, getAnnotationInfo, getAnnotationInfo, getBoundType, getContents, getCopyright, getCopyright, getDocumentation, getDocumentation, getEcoreType, getEffectiveComplianceLevel, getEffectiveEObjectType, getEffectiveFeatureMapWrapperInterface, getEffectiveListType, getEffectiveListType, getEffectiveListType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapEntryType, getEffectiveMapType, getEffectiveMapType, getEffectiveMapType, getEncoding, getExtendedMetaData, getGenAnnotation, getGenAnnotations, getImplClassName, getImportedEffectiveFeatureMapWrapperClass, getImportedEffectiveFeatureMapWrapperInternalInterface, getImportedType, getImportedType, getImportedType, getImportManager, getInstanceClass, getInterfaceName, getJavaLangTypes, getJavaReservedWords, getMainGenModel, getPrimitiveDefault, getPrimitiveObjectType, getType, getType, getType, getTypeArgument, getTypeArguments, getTypeGenClasses, hasCopyright, hasDocumentation, hasReferenceToClassifierWithInstanceTypeName, hasReferenceToClassifierWithInstanceTypeName, indent, isBlank, isDerivedType, isEffectiveSuppressEMFTypes, isJavaUtilMapEntry, isPrimitiveType, isReadOnly, isRemappedXMLType, parseName, reconcileGenAnnotations, safeName, setImportManager, setOverwriteable, uncapName, uncapPrefixedName, uncapPrefixedName, unicodeEscapeEncode`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.ecore.genmodel.GenBase
`canGenerate, canGenerateEdit, canGenerateEditor, capName, format, gen, genEdit, genEditor, generate, generateEdit, generateEditor, generateSchema, generateTests, genSchema, genTests, getCopyright, getDocumentation, getGenAnnotation, getGenAnnotations, hasCopyright, hasDocumentation, safeName, uncapName, uncapPrefixedName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### XSD2ECORE_URI

    protected static final java.lang.String XSD2ECORE_URI

See Also:
  Constant Field Values

### PREFIX_EDEFAULT

    protected static final java.lang.String PREFIX_EDEFAULT

  The default value of the '`Prefix`' attribute.

  See Also:
    `getPrefix()`

### prefix

    protected java.lang.String prefix

  The cached value of the '`Prefix`' attribute.

  See Also:
    `getPrefix()`

### BASE_PACKAGE_EDEFAULT

    protected static final java.lang.String BASE_PACKAGE_EDEFAULT

  The default value of the '`Base Package`' attribute.

  See Also:
    `getBasePackage()`

### basePackage

    protected java.lang.String basePackage

  The cached value of the '`Base Package`' attribute.

  See Also:
    `getBasePackage()`

### RESOURCE_EDEFAULT

    protected static final GenResourceKind RESOURCE_EDEFAULT

  The default value of the '`Resource`' attribute.

  See Also:
    `getResource()`

### resource

    protected GenResourceKind resource

  The cached value of the '`Resource`' attribute.

  See Also:
    `getResource()`

### DISPOSABLE_PROVIDER_FACTORY_EDEFAULT

    protected static final boolean DISPOSABLE_PROVIDER_FACTORY_EDEFAULT

  The default value of the '`Disposable Provider Factory`' attribute.

  See Also:
    `isDisposableProviderFactory()`, Constant Field Values

### disposableProviderFactory

    protected boolean disposableProviderFactory

  The cached value of the '`Disposable Provider Factory`' attribute.

  See Also:
    `isDisposableProviderFactory()`

### ADAPTER_FACTORY_EDEFAULT

    protected static final boolean ADAPTER_FACTORY_EDEFAULT

  The default value of the '`Adapter Factory`' attribute.

  See Also:
    `isAdapterFactory()`, Constant Field Values

### adapterFactory

    protected boolean adapterFactory

  The cached value of the '`Adapter Factory`' attribute.

  See Also:
    `isAdapterFactory()`

### LOAD_INITIALIZATION_EDEFAULT

    protected static final boolean LOAD_INITIALIZATION_EDEFAULT

  The default value of the '`Load Initialization`' attribute.

  See Also:
    `isLoadInitialization()`, Constant Field Values

### loadInitialization

    protected boolean loadInitialization

  The cached value of the '`Load Initialization`' attribute.

  See Also:
    `isLoadInitialization()`

### INTERFACE_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String INTERFACE_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Interface Package Suffix`' attribute.

  See Also:
    `getInterfacePackageSuffix()`, Constant Field Values

### interfacePackageSuffix

    protected java.lang.String interfacePackageSuffix

  The cached value of the '`Interface Package Suffix`' attribute.

  See Also:
    `getInterfacePackageSuffix()`

### META_DATA_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String META_DATA_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Meta Data Package Suffix`' attribute.

  See Also:
    `getMetaDataPackageSuffix()`, Constant Field Values

### metaDataPackageSuffix

    protected java.lang.String metaDataPackageSuffix

  The cached value of the '`Meta Data Package Suffix`' attribute.

  See Also:
    `getMetaDataPackageSuffix()`

### CLASS_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String CLASS_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Class Package Suffix`' attribute.

  See Also:
    `getClassPackageSuffix()`, Constant Field Values

### classPackageSuffix

    protected java.lang.String classPackageSuffix

  The cached value of the '`Class Package Suffix`' attribute.

  See Also:
    `getClassPackageSuffix()`

### UTILITY_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String UTILITY_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Utility Package Suffix`' attribute.

  See Also:
    `getUtilityPackageSuffix()`, Constant Field Values

### utilityPackageSuffix

    protected java.lang.String utilityPackageSuffix

  The cached value of the '`Utility Package Suffix`' attribute.

  See Also:
    `getUtilityPackageSuffix()`

### PROVIDER_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String PROVIDER_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Provider Package Suffix`' attribute.

  See Also:
    `getProviderPackageSuffix()`, Constant Field Values

### providerPackageSuffix

    protected java.lang.String providerPackageSuffix

  The cached value of the '`Provider Package Suffix`' attribute.

  See Also:
    `getProviderPackageSuffix()`

### PRESENTATION_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String PRESENTATION_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Presentation Package Suffix`' attribute.

  See Also:
    `getPresentationPackageSuffix()`, Constant Field Values

### presentationPackageSuffix

    protected java.lang.String presentationPackageSuffix

  The cached value of the '`Presentation Package Suffix`' attribute.

  See Also:
    `getPresentationPackageSuffix()`

### TESTS_PACKAGE_SUFFIX_EDEFAULT

    protected static final java.lang.String TESTS_PACKAGE_SUFFIX_EDEFAULT

  The default value of the '`Tests Package Suffix`' attribute.

  See Also:
    `getTestsPackageSuffix()`, Constant Field Values

### testsPackageSuffix

    protected java.lang.String testsPackageSuffix

  The cached value of the '`Tests Package Suffix`' attribute.

  See Also:
    `getTestsPackageSuffix()`

### GENERATE_EXAMPLE_CLASS_EDEFAULT

    protected static final boolean GENERATE_EXAMPLE_CLASS_EDEFAULT

  The default value of the '`Generate Example Class`' attribute.

  See Also:
    `isGenerateExampleClass()`, Constant Field Values

### generateExampleClass

    protected boolean generateExampleClass

  The cached value of the '`Generate Example Class`' attribute.

  See Also:
    `isGenerateExampleClass()`

### LITERALS_INTERFACE_EDEFAULT

    protected static final boolean LITERALS_INTERFACE_EDEFAULT

  The default value of the '`Literals Interface`' attribute.

  See Also:
    `isLiteralsInterface()`, Constant Field Values

### literalsInterface

    protected boolean literalsInterface

  The cached value of the '`Literals Interface`' attribute.

  See Also:
    `isLiteralsInterface()`

### DATA_TYPE_CONVERTERS_EDEFAULT

    protected static final boolean DATA_TYPE_CONVERTERS_EDEFAULT

  The default value of the '`Data Type Converters`' attribute.

  See Also:
    `isDataTypeConverters()`, Constant Field Values

### dataTypeConverters

    protected boolean dataTypeConverters

  The cached value of the '`Data Type Converters`' attribute.

  See Also:
    `isDataTypeConverters()`

### MULTIPLE_EDITOR_PAGES_EDEFAULT

    protected static final boolean MULTIPLE_EDITOR_PAGES_EDEFAULT

  The default value of the '`Multiple Editor Pages`' attribute.

  See Also:
    `isMultipleEditorPages()`, Constant Field Values

### multipleEditorPages

    protected boolean multipleEditorPages

  The cached value of the '`Multiple Editor Pages`' attribute.

  See Also:
    `isMultipleEditorPages()`

### GENERATE_MODEL_WIZARD_EDEFAULT

    protected static final boolean GENERATE_MODEL_WIZARD_EDEFAULT

  The default value of the '`Generate Model Wizard`' attribute.

  See Also:
    `isGenerateModelWizard()`, Constant Field Values

### generateModelWizard

    protected boolean generateModelWizard

  The cached value of the '`Generate Model Wizard`' attribute.

  See Also:
    `isGenerateModelWizard()`

### EXTENSIBLE_PROVIDER_FACTORY_EDEFAULT

    protected static final boolean EXTENSIBLE_PROVIDER_FACTORY_EDEFAULT

  The default value of the '`Extensible Provider Factory`' attribute.

  See Also:
    `isExtensibleProviderFactory()`, Constant Field Values

### extensibleProviderFactory

    protected boolean extensibleProviderFactory

  The cached value of the '`Extensible Provider Factory`' attribute.

  See Also:
    `isExtensibleProviderFactory()`

### CHILD_CREATION_EXTENDERS_EDEFAULT

    protected static final boolean CHILD_CREATION_EXTENDERS_EDEFAULT

  The default value of the '`Child Creation Extenders`' attribute.

  See Also:
    `isChildCreationExtenders()`, Constant Field Values

### childCreationExtenders

    protected boolean childCreationExtenders

  The cached value of the '`Child Creation Extenders`' attribute.

  See Also:
    `isChildCreationExtenders()`

### CONTENT_TYPE_IDENTIFIER_EDEFAULT

    protected static final java.lang.String CONTENT_TYPE_IDENTIFIER_EDEFAULT

  The default value of the '`Content Type Identifier`' attribute.

  See Also:
    `getContentTypeIdentifier()`

### contentTypeIdentifier

    protected java.lang.String contentTypeIdentifier

  The cached value of the '`Content Type Identifier`' attribute.

  See Also:
    `getContentTypeIdentifier()`

### FILE_EXTENSIONS_EDEFAULT

    protected static final java.lang.String FILE_EXTENSIONS_EDEFAULT

  The default value of the '`File Extensions`' attribute.

  See Also:
    `getFileExtensions()`

### fileExtensions

    protected java.lang.String fileExtensions

  The cached value of the '`File Extensions`' attribute.

  See Also:
    `getFileExtensions()`

### ecorePackage

    protected EPackage ecorePackage

  The cached value of the '`Ecore Package`' reference.

  See Also:
    `getEcorePackage()`

### genEnums

    protected EList<GenEnum> genEnums

  The cached value of the '`Gen Enums`' containment reference list.

  See Also:
    `getGenEnums()`

### genDataTypes

    protected EList<GenDataType> genDataTypes

  The cached value of the '`Gen Data Types`' containment reference list.

  See Also:
    `getGenDataTypes()`

### genClasses

    protected EList<GenClass> genClasses

  The cached value of the '`Gen Classes`' containment reference list.

  See Also:
    `getGenClasses()`

### nestedGenPackages

    protected EList<GenPackage> nestedGenPackages

  The cached value of the '`Nested Gen Packages`' containment reference list.

  See Also:
    `getNestedGenPackages()`

### NO_CONSTRAINTS

    protected static final boolean NO_CONSTRAINTS

Constructor Detail

### GenPackageImpl

    protected GenPackageImpl()

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenBaseImpl`

### getPrefixGen

    public java.lang.String getPrefixGen()

### getPrefix

    public java.lang.String getPrefix()

  Description copied from interface: `GenPackage`
  Returns the value of the 'Prefix' attribute.

  Specified by:
    `getPrefix` in interface `GenPackage`
  Returns:
    the value of the 'Prefix' attribute.
  See Also:
    `GenPackage.setPrefix(String)`, `GenModelPackage.getGenPackage_Prefix()`

### setPrefix

    public void setPrefix(java.lang.String newPrefix)

  Specified by:
    `setPrefix` in interface `GenPackage`
  Parameters:
    `newPrefix` - the new value of the 'Prefix' attribute.
  See Also:
    `GenPackage.getPrefix()`

### getBasePackageGen

    public java.lang.String getBasePackageGen()

### getBasePackage

    public java.lang.String getBasePackage()

  Description copied from interface: `GenPackage`
  Returns the value of the 'Base Package' attribute.

  Specified by:
    `getBasePackage` in interface `GenPackage`
  Returns:
    the value of the 'Base Package' attribute.
  See Also:
    `GenPackage.setBasePackage(String)`, `GenModelPackage.getGenPackage_BasePackage()`

### setBasePackage

    public void setBasePackage(java.lang.String newBasePackage)

  Specified by:
    `setBasePackage` in interface `GenPackage`
  Parameters:
    `newBasePackage` - the new value of the 'Base Package' attribute.
  See Also:
    `GenPackage.getBasePackage()`

### getResource

    public GenResourceKind getResource()

  Specified by:
    `getResource` in interface `GenPackage`
  Returns:
    the value of the 'Resource' attribute.
  See Also:
    `GenResourceKind`, `GenPackage.setResource(GenResourceKind)`, `GenModelPackage.getGenPackage_Resource()`

### setResource

    public void setResource(GenResourceKind newResource)

  Specified by:
    `setResource` in interface `GenPackage`
  Parameters:
    `newResource` - the new value of the 'Resource' attribute.
  See Also:
    `GenResourceKind`, `GenPackage.getResource()`

### isDisposableProviderFactory

    public boolean isDisposableProviderFactory()

  Specified by:
    `isDisposableProviderFactory` in interface `GenPackage`
  Returns:
    the value of the 'Disposable Provider Factory' attribute.
  See Also:
    `GenPackage.setDisposableProviderFactory(boolean)`, `GenModelPackage.getGenPackage_DisposableProviderFactory()`

### setDisposableProviderFactory

    public void setDisposableProviderFactory(boolean newDisposableProviderFactory)

  Specified by:
    `setDisposableProviderFactory` in interface `GenPackage`
  Parameters:
    `newDisposableProviderFactory` - the new value of the 'Disposable Provider Factory' attribute.
  See Also:
    `GenPackage.isDisposableProviderFactory()`

### isAdapterFactory

    public boolean isAdapterFactory()

  Specified by:
    `isAdapterFactory` in interface `GenPackage`
  Returns:
    the value of the 'Adapter Factory' attribute.
  See Also:
    `GenPackage.setAdapterFactory(boolean)`, `GenModelPackage.getGenPackage_AdapterFactory()`

### setAdapterFactory

    public void setAdapterFactory(boolean newAdapterFactory)

  Specified by:
    `setAdapterFactory` in interface `GenPackage`
  Parameters:
    `newAdapterFactory` - the new value of the 'Adapter Factory' attribute.
  See Also:
    `GenPackage.isAdapterFactory()`

### isLoadInitialization

    public boolean isLoadInitialization()

  Specified by:
    `isLoadInitialization` in interface `GenPackage`
  Returns:
    the value of the 'Load Initialization' attribute.
  See Also:
    `GenPackage.setLoadInitialization(boolean)`, `GenModelPackage.getGenPackage_LoadInitialization()`

### setLoadInitialization

    public void setLoadInitialization(boolean newLoadInitialization)

  Specified by:
    `setLoadInitialization` in interface `GenPackage`
  Parameters:
    `newLoadInitialization` - the new value of the 'Load Initialization' attribute.
  See Also:
    `GenPackage.isLoadInitialization()`

### getInterfacePackageSuffix

    public java.lang.String getInterfacePackageSuffix()

  Specified by:
    `getInterfacePackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Interface Package Suffix' attribute.
  See Also:
    `GenPackage.setInterfacePackageSuffix(String)`, `GenModelPackage.getGenPackage_InterfacePackageSuffix()`

### setInterfacePackageSuffix

    public void setInterfacePackageSuffix(java.lang.String newInterfacePackageSuffix)

  Specified by:
    `setInterfacePackageSuffix` in interface `GenPackage`
  Parameters:
    `newInterfacePackageSuffix` - the new value of the 'Interface Package Suffix' attribute.
  See Also:
    `GenPackage.getInterfacePackageSuffix()`

### getMetaDataPackageSuffix

    public java.lang.String getMetaDataPackageSuffix()

  Specified by:
    `getMetaDataPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Meta Data Package Suffix' attribute.
  See Also:
    `GenPackage.setMetaDataPackageSuffix(String)`, `GenModelPackage.getGenPackage_MetaDataPackageSuffix()`

### setMetaDataPackageSuffix

    public void setMetaDataPackageSuffix(java.lang.String newMetaDataPackageSuffix)

  Specified by:
    `setMetaDataPackageSuffix` in interface `GenPackage`
  Parameters:
    `newMetaDataPackageSuffix` - the new value of the 'Meta Data Package Suffix' attribute.
  See Also:
    `GenPackage.getMetaDataPackageSuffix()`

### getClassPackageSuffix

    public java.lang.String getClassPackageSuffix()

  Specified by:
    `getClassPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Class Package Suffix' attribute.
  See Also:
    `GenPackage.setClassPackageSuffix(String)`, `GenModelPackage.getGenPackage_ClassPackageSuffix()`

### setClassPackageSuffix

    public void setClassPackageSuffix(java.lang.String newClassPackageSuffix)

  Specified by:
    `setClassPackageSuffix` in interface `GenPackage`
  Parameters:
    `newClassPackageSuffix` - the new value of the 'Class Package Suffix' attribute.
  See Also:
    `GenPackage.getClassPackageSuffix()`

### getUtilityPackageSuffix

    public java.lang.String getUtilityPackageSuffix()

  Specified by:
    `getUtilityPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Utility Package Suffix' attribute.
  See Also:
    `GenPackage.setUtilityPackageSuffix(String)`, `GenModelPackage.getGenPackage_UtilityPackageSuffix()`

### setUtilityPackageSuffix

    public void setUtilityPackageSuffix(java.lang.String newUtilityPackageSuffix)

  Specified by:
    `setUtilityPackageSuffix` in interface `GenPackage`
  Parameters:
    `newUtilityPackageSuffix` - the new value of the 'Utility Package Suffix' attribute.
  See Also:
    `GenPackage.getUtilityPackageSuffix()`

### getProviderPackageSuffix

    public java.lang.String getProviderPackageSuffix()

  Specified by:
    `getProviderPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Provider Package Suffix' attribute.
  See Also:
    `GenPackage.setProviderPackageSuffix(String)`, `GenModelPackage.getGenPackage_ProviderPackageSuffix()`

### setProviderPackageSuffix

    public void setProviderPackageSuffix(java.lang.String newProviderPackageSuffix)

  Specified by:
    `setProviderPackageSuffix` in interface `GenPackage`
  Parameters:
    `newProviderPackageSuffix` - the new value of the 'Provider Package Suffix' attribute.
  See Also:
    `GenPackage.getProviderPackageSuffix()`

### getPresentationPackageSuffix

    public java.lang.String getPresentationPackageSuffix()

  Specified by:
    `getPresentationPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Presentation Package Suffix' attribute.
  See Also:
    `GenPackage.setPresentationPackageSuffix(String)`, `GenModelPackage.getGenPackage_PresentationPackageSuffix()`

### setPresentationPackageSuffix

    public void setPresentationPackageSuffix(java.lang.String newPresentationPackageSuffix)

  Specified by:
    `setPresentationPackageSuffix` in interface `GenPackage`
  Parameters:
    `newPresentationPackageSuffix` - the new value of the 'Presentation Package Suffix' attribute.
  See Also:
    `GenPackage.getPresentationPackageSuffix()`

### getTestsPackageSuffix

    public java.lang.String getTestsPackageSuffix()

  Specified by:
    `getTestsPackageSuffix` in interface `GenPackage`
  Returns:
    the value of the 'Tests Package Suffix' attribute.
  See Also:
    `GenPackage.setTestsPackageSuffix(String)`, `GenModelPackage.getGenPackage_TestsPackageSuffix()`

### setTestsPackageSuffix

    public void setTestsPackageSuffix(java.lang.String newTestsPackageSuffix)

  Specified by:
    `setTestsPackageSuffix` in interface `GenPackage`
  Parameters:
    `newTestsPackageSuffix` - the new value of the 'Tests Package Suffix' attribute.
  See Also:
    `GenPackage.getTestsPackageSuffix()`

### isGenerateExampleClass

    public boolean isGenerateExampleClass()

  Specified by:
    `isGenerateExampleClass` in interface `GenPackage`
  Returns:
    the value of the 'Generate Example Class' attribute.
  See Also:
    `GenPackage.setGenerateExampleClass(boolean)`, `GenModelPackage.getGenPackage_GenerateExampleClass()`

### setGenerateExampleClass

    public void setGenerateExampleClass(boolean newGenerateExampleClass)

  Specified by:
    `setGenerateExampleClass` in interface `GenPackage`
  Parameters:
    `newGenerateExampleClass` - the new value of the 'Generate Example Class' attribute.
  See Also:
    `GenPackage.isGenerateExampleClass()`

### isLiteralsInterface

    public boolean isLiteralsInterface()

  Specified by:
    `isLiteralsInterface` in interface `GenPackage`
  Returns:
    the value of the 'Literals Interface' attribute.
  See Also:
    `GenPackage.setLiteralsInterface(boolean)`, `GenModelPackage.getGenPackage_LiteralsInterface()`

### setLiteralsInterface

    public void setLiteralsInterface(boolean newLiteralsInterface)

  Specified by:
    `setLiteralsInterface` in interface `GenPackage`
  Parameters:
    `newLiteralsInterface` - the new value of the 'Literals Interface' attribute.
  See Also:
    `GenPackage.isLiteralsInterface()`

### isDataTypeConverters

    public boolean isDataTypeConverters()

  Specified by:
    `isDataTypeConverters` in interface `GenPackage`
  Returns:
    the value of the 'Data Type Converters' attribute.
  See Also:
    `GenPackage.setDataTypeConverters(boolean)`, `GenModelPackage.getGenPackage_DataTypeConverters()`

### setDataTypeConverters

    public void setDataTypeConverters(boolean newDataTypeConverters)

  Specified by:
    `setDataTypeConverters` in interface `GenPackage`
  Parameters:
    `newDataTypeConverters` - the new value of the 'Data Type Converters' attribute.
  See Also:
    `GenPackage.isDataTypeConverters()`

### isMultipleEditorPages

    public boolean isMultipleEditorPages()

  Specified by:
    `isMultipleEditorPages` in interface `GenPackage`
  Returns:
    the value of the 'Multiple Editor Pages' attribute.
  See Also:
    `GenPackage.setMultipleEditorPages(boolean)`, `GenModelPackage.getGenPackage_MultipleEditorPages()`

### setMultipleEditorPages

    public void setMultipleEditorPages(boolean newMultipleEditorPages)

  Specified by:
    `setMultipleEditorPages` in interface `GenPackage`
  Parameters:
    `newMultipleEditorPages` - the new value of the 'Multiple Editor Pages' attribute.
  See Also:
    `GenPackage.isMultipleEditorPages()`

### isGenerateModelWizard

    public boolean isGenerateModelWizard()

  Specified by:
    `isGenerateModelWizard` in interface `GenPackage`
  Returns:
    the value of the 'Generate Model Wizard' attribute.
  See Also:
    `GenPackage.setGenerateModelWizard(boolean)`, `GenModelPackage.getGenPackage_GenerateModelWizard()`

### setGenerateModelWizard

    public void setGenerateModelWizard(boolean newGenerateModelWizard)

  Specified by:
    `setGenerateModelWizard` in interface `GenPackage`
  Parameters:
    `newGenerateModelWizard` - the new value of the 'Generate Model Wizard' attribute.
  See Also:
    `GenPackage.isGenerateModelWizard()`

### isExtensibleProviderFactory

    public boolean isExtensibleProviderFactory()

  Specified by:
    `isExtensibleProviderFactory` in interface `GenPackage`
  Returns:
    the value of the 'Extensible Provider Factory' attribute.
  See Also:
    `GenPackage.setExtensibleProviderFactory(boolean)`, `GenModelPackage.getGenPackage_ExtensibleProviderFactory()`

### setExtensibleProviderFactory

    public void setExtensibleProviderFactory(boolean newExtensibleProviderFactory)

  Specified by:
    `setExtensibleProviderFactory` in interface `GenPackage`
  Parameters:
    `newExtensibleProviderFactory` - the new value of the 'Extensible Provider Factory' attribute.
  See Also:
    `GenPackage.isExtensibleProviderFactory()`

### isChildCreationExtenders

    public boolean isChildCreationExtenders()

  Specified by:
    `isChildCreationExtenders` in interface `GenPackage`
  Returns:
    the value of the 'Child Creation Extenders' attribute.
  See Also:
    `GenPackage.setChildCreationExtenders(boolean)`, `GenModelPackage.getGenPackage_ChildCreationExtenders()`

### setChildCreationExtenders

    public void setChildCreationExtenders(boolean newChildCreationExtenders)

  Specified by:
    `setChildCreationExtenders` in interface `GenPackage`
  Parameters:
    `newChildCreationExtenders` - the new value of the 'Child Creation Extenders' attribute.
  See Also:
    `GenPackage.isChildCreationExtenders()`

### getContentTypeIdentifier

    public java.lang.String getContentTypeIdentifier()

  Specified by:
    `getContentTypeIdentifier` in interface `GenPackage`
  Returns:
    the value of the 'Content Type Identifier' attribute.
  See Also:
    `GenPackage.setContentTypeIdentifier(String)`, `GenModelPackage.getGenPackage_ContentTypeIdentifier()`

### setContentTypeIdentifier

    public void setContentTypeIdentifier(java.lang.String newContentTypeIdentifier)

  Specified by:
    `setContentTypeIdentifier` in interface `GenPackage`
  Parameters:
    `newContentTypeIdentifier` - the new value of the 'Content Type Identifier' attribute.
  See Also:
    `GenPackage.getContentTypeIdentifier()`

### getFileExtensionsGen

    public java.lang.String getFileExtensionsGen()

### getFileExtensions

    public java.lang.String getFileExtensions()

  Description copied from interface: `GenPackage`
  Returns the value of the 'File Extensions' attribute.

  The file extensions against which to register the resource factory for this package. Multiple extensions can be specified as a comma-separated list, but only if this package defines a `content type`. This will always return a non-null string. The default (returned after the attribute is set to null) is based on the `GenPackage.getPrefix()`.

  Specified by:
    `getFileExtensions` in interface `GenPackage`
  Returns:
    the value of the 'File Extensions' attribute.
  See Also:
    `GenPackage.setFileExtensions(String)`, `GenModelPackage.getGenPackage_FileExtensions()`

### setFileExtensions

    public void setFileExtensions(java.lang.String newFileExtensions)

  Specified by:
    `setFileExtensions` in interface `GenPackage`
  Parameters:
    `newFileExtensions` - the new value of the 'File Extensions' attribute.
  See Also:
    `GenPackage.getFileExtensions()`

### getEcoreModelElement

    public EModelElement getEcoreModelElement()

  Specified by:
    `getEcoreModelElement` in interface `GenBase`
  Overrides:
    `getEcoreModelElement` in class `GenBaseImpl`

### getEcorePackage

    public EPackage getEcorePackage()

  Specified by:
    `getEcorePackage` in interface `GenPackage`
  Returns:
    the value of the 'Ecore Package' reference.
  See Also:
    `GenPackage.setEcorePackage(EPackage)`, `GenModelPackage.getGenPackage_EcorePackage()`

### basicGetEcorePackage

    public EPackage basicGetEcorePackage()

### setEcorePackage

    public void setEcorePackage(EPackage newEcorePackage)

  Specified by:
    `setEcorePackage` in interface `GenPackage`
  Parameters:
    `newEcorePackage` - the new value of the 'Ecore Package' reference.
  See Also:
    `GenPackage.getEcorePackage()`

### getGenModel

    public GenModel getGenModel()

  Description copied from interface: `GenPackage`
  Returns the value of the 'Gen Model' container reference. It is bidirectional and its opposite is '`Gen Packages`'.

  Specified by:
    `getGenModel` in interface `GenBase`
  Specified by:
    `getGenModel` in interface `GenPackage`
  Overrides:
    `getGenModel` in class `GenBaseImpl`
  Returns:
    the value of the 'Gen Model' container reference.
  See Also:
    `GenPackage.setGenModel(GenModel)`, `GenModelPackage.getGenPackage_GenModel()`, `GenModel.getGenPackages()`

### getGenModelGen

    @Deprecated
    public GenModel getGenModelGen()

  Deprecated.

### basicSetGenModel

    public NotificationChain basicSetGenModel(GenModel newGenModel,
                                              NotificationChain msgs)

### setGenModel

    public void setGenModel(GenModel newGenModel)

  Specified by:
    `setGenModel` in interface `GenPackage`
  Parameters:
    `newGenModel` - the new value of the 'Gen Model' container reference.
  See Also:
    `GenPackage.getGenModel()`

### getGenEnums

    public EList<GenEnum> getGenEnums()

  Specified by:
    `getGenEnums` in interface `GenPackage`
  Returns:
    the value of the 'Gen Enums' containment reference list.
  See Also:
    `GenModelPackage.getGenPackage_GenEnums()`

### getGenDataTypes

    public EList<GenDataType> getGenDataTypes()

  Specified by:
    `getGenDataTypes` in interface `GenPackage`
  Returns:
    the value of the 'Gen Data Types' containment reference list.
  See Also:
    `GenModelPackage.getGenPackage_GenDataTypes()`

### getGenClasses

    public EList<GenClass> getGenClasses()

  Specified by:
    `getGenClasses` in interface `GenPackage`
  Returns:
    the value of the 'Gen Classes' containment reference list.
  See Also:
    `GenModelPackage.getGenPackage_GenClasses()`

### getNestedGenPackages

    public EList<GenPackage> getNestedGenPackages()

  Specified by:
    `getNestedGenPackages` in interface `GenPackage`
  Returns:
    the value of the 'Nested Gen Packages' containment reference list.
  See Also:
    `GenModelPackage.getGenPackage_NestedGenPackages()`

### getGenClassifiers

    public EList<GenClassifier> getGenClassifiers()

  Specified by:
    `getGenClassifiers` in interface `GenPackage`
  Returns:
    the value of the 'Gen Classifiers' reference list.
  See Also:
    `GenModelPackage.getGenPackage_GenClassifiers()`, `GenClassifier.getGenPackage()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `GenBaseImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `GenBaseImpl`

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  Overrides:
    `eBasicRemoveFromContainerFeature` in class `BasicEObjectImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenBaseImpl`
  See Also:
    `InternalEObject.eGet(EStructuralFeature, boolean, boolean)`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenBaseImpl`
  See Also:
    `EObject.eSet(EStructuralFeature, Object)`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenBaseImpl`
  See Also:
    `EObject.eUnset(EStructuralFeature)`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenBaseImpl`
  See Also:
    `EObject.eIsSet(EStructuralFeature)`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BasicEObjectImpl`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in class `GenBaseImpl`

### getPackageName

    public java.lang.String getPackageName()

  Specified by:
    `getPackageName` in interface `GenPackage`

### getInterfacePackageName

    public java.lang.String getInterfacePackageName()

  Specified by:
    `getInterfacePackageName` in interface `GenPackage`

### getReflectionPackageName

    public java.lang.String getReflectionPackageName()

  Specified by:
    `getReflectionPackageName` in interface `GenPackage`

### getReflectionClassPackageName

    public java.lang.String getReflectionClassPackageName()

  Specified by:
    `getReflectionClassPackageName` in interface `GenPackage`

### getClassPackageName

    public java.lang.String getClassPackageName()

  Specified by:
    `getClassPackageName` in interface `GenPackage`

### getUtilitiesPackageName

    public java.lang.String getUtilitiesPackageName()

  Specified by:
    `getUtilitiesPackageName` in interface `GenPackage`

### getTestsPackageName

    public java.lang.String getTestsPackageName()

  Specified by:
    `getTestsPackageName` in interface `GenPackage`

### getPackageID

    public java.lang.String getPackageID()

### getNSName

    public java.lang.String getNSName()

  Specified by:
    `getNSName` in interface `GenPackage`

### getNSURI

    public java.lang.String getNSURI()

  Specified by:
    `getNSURI` in interface `GenPackage`

### getBasicPackageName

    public java.lang.String getBasicPackageName()

  Description copied from interface: `GenPackage`
  Returns the name of the single package class generated when interfaces are suppressed. It is simply the package `prefix`, with "Package" appended. This method is analagous to `GenPackage.getFactoryName()` and would be called `getPackageName()` if that name were not already taken.

  Specified by:
    `getBasicPackageName` in interface `GenPackage`

### getUncapPackageName

    public java.lang.String getUncapPackageName()

  Specified by:
    `getUncapPackageName` in interface `GenPackage`

### getPackageInterfaceName

    public java.lang.String getPackageInterfaceName()

  Specified by:
    `getPackageInterfaceName` in interface `GenPackage`

### getQualifiedPackageInterfaceName

    public java.lang.String getQualifiedPackageInterfaceName()

  Specified by:
    `getQualifiedPackageInterfaceName` in interface `GenPackage`

### getImportedPackageInterfaceName

    public java.lang.String getImportedPackageInterfaceName()

  Specified by:
    `getImportedPackageInterfaceName` in interface `GenPackage`

### getUncapPackageInterfaceName

    public java.lang.String getUncapPackageInterfaceName()

  Specified by:
    `getUncapPackageInterfaceName` in interface `GenPackage`

### getPackageClassName

    public java.lang.String getPackageClassName()

  Specified by:
    `getPackageClassName` in interface `GenPackage`

### getQualifiedPackageClassName

    public java.lang.String getQualifiedPackageClassName()

  Specified by:
    `getQualifiedPackageClassName` in interface `GenPackage`

### getImportedPackageClassName

    public java.lang.String getImportedPackageClassName()

  Specified by:
    `getImportedPackageClassName` in interface `GenPackage`

### getFactoryName

    public java.lang.String getFactoryName()

  Description copied from interface: `GenPackage`
  Returns the name of the single factory class generated when interfaces are suppressed. It is simply the package `prefix`, with "Factory" appended.

  Specified by:
    `getFactoryName` in interface `GenPackage`

### getUncapFactoryName

    public java.lang.String getUncapFactoryName()

  Specified by:
    `getUncapFactoryName` in interface `GenPackage`

### getFactoryInterfaceName

    public java.lang.String getFactoryInterfaceName()

  Specified by:
    `getFactoryInterfaceName` in interface `GenPackage`

### getQualifiedFactoryInterfaceName

    public java.lang.String getQualifiedFactoryInterfaceName()

  Specified by:
    `getQualifiedFactoryInterfaceName` in interface `GenPackage`

### getImportedFactoryInterfaceName

    public java.lang.String getImportedFactoryInterfaceName()

  Specified by:
    `getImportedFactoryInterfaceName` in interface `GenPackage`

### getUncapFactoryInterfaceName

    public java.lang.String getUncapFactoryInterfaceName()

  Specified by:
    `getUncapFactoryInterfaceName` in interface `GenPackage`

### getFactoryClassName

    public java.lang.String getFactoryClassName()

  Specified by:
    `getFactoryClassName` in interface `GenPackage`

### getQualifiedFactoryClassName

    public java.lang.String getQualifiedFactoryClassName()

  Specified by:
    `getQualifiedFactoryClassName` in interface `GenPackage`

### getImportedFactoryClassName

    public java.lang.String getImportedFactoryClassName()

  Specified by:
    `getImportedFactoryClassName` in interface `GenPackage`

### getFactoryInstanceName

    public java.lang.String getFactoryInstanceName()

  Specified by:
    `getFactoryInstanceName` in interface `GenPackage`

### getQualifiedFactoryInstanceAccessor

    public java.lang.String getQualifiedFactoryInstanceAccessor()

  Specified by:
    `getQualifiedFactoryInstanceAccessor` in interface `GenPackage`

### getQualifiedEFactoryInstanceAccessor

    public java.lang.String getQualifiedEFactoryInstanceAccessor()

  Specified by:
    `getQualifiedEFactoryInstanceAccessor` in interface `GenPackage`

### getQualifiedEFactoryInternalInstanceAccessor

    public java.lang.String getQualifiedEFactoryInternalInstanceAccessor()

  Specified by:
    `getQualifiedEFactoryInternalInstanceAccessor` in interface `GenPackage`

### getAdapterFactoryClassName

    public java.lang.String getAdapterFactoryClassName()

  Specified by:
    `getAdapterFactoryClassName` in interface `GenPackage`

### getQualifiedAdapterFactoryClassName

    public java.lang.String getQualifiedAdapterFactoryClassName()

  Specified by:
    `getQualifiedAdapterFactoryClassName` in interface `GenPackage`

### getImportedAdapterFactoryClassName

    public java.lang.String getImportedAdapterFactoryClassName()

  Specified by:
    `getImportedAdapterFactoryClassName` in interface `GenPackage`

### getUncapAdapterFactoryClassName

    public java.lang.String getUncapAdapterFactoryClassName()

  Specified by:
    `getUncapAdapterFactoryClassName` in interface `GenPackage`

### getSwitchClassName

    public java.lang.String getSwitchClassName()

  Specified by:
    `getSwitchClassName` in interface `GenPackage`

### getQualifiedSwitchClassName

    public java.lang.String getQualifiedSwitchClassName()

  Specified by:
    `getQualifiedSwitchClassName` in interface `GenPackage`

### getTestSuiteClassName

    public java.lang.String getTestSuiteClassName()

  Specified by:
    `getTestSuiteClassName` in interface `GenPackage`

### getQualifiedTestSuiteClassName

    public java.lang.String getQualifiedTestSuiteClassName()

  Specified by:
    `getQualifiedTestSuiteClassName` in interface `GenPackage`

### getImportedTestSuiteClassName

    public java.lang.String getImportedTestSuiteClassName()

  Specified by:
    `getImportedTestSuiteClassName` in interface `GenPackage`

### getExampleClassName

    public java.lang.String getExampleClassName()

  Specified by:
    `getExampleClassName` in interface `GenPackage`

### getQualifiedExampleClassName

    public java.lang.String getQualifiedExampleClassName()

  Specified by:
    `getQualifiedExampleClassName` in interface `GenPackage`

### hasConstraints

    public boolean hasConstraints()

  Specified by:
    `hasConstraints` in interface `GenPackage`

### getValidatorClassName

    public java.lang.String getValidatorClassName()

  Specified by:
    `getValidatorClassName` in interface `GenPackage`

### getQualifiedValidatorClassName

    public java.lang.String getQualifiedValidatorClassName()

  Specified by:
    `getQualifiedValidatorClassName` in interface `GenPackage`

### getImportedValidatorClassName

    public java.lang.String getImportedValidatorClassName()

  Specified by:
    `getImportedValidatorClassName` in interface `GenPackage`

### getImportedXMLProcessorBaseClassName

    public java.lang.String getImportedXMLProcessorBaseClassName()

  Specified by:
    `getImportedXMLProcessorBaseClassName` in interface `GenPackage`

### getQualifiedXMLProcessorClassName

    public java.lang.String getQualifiedXMLProcessorClassName()

  Specified by:
    `getQualifiedXMLProcessorClassName` in interface `GenPackage`

### getXMLProcessorClassName

    public java.lang.String getXMLProcessorClassName()

  Specified by:
    `getXMLProcessorClassName` in interface `GenPackage`

### getPrefixedName

    protected java.lang.String getPrefixedName(java.lang.String name)

### getAllGenDataTypes

    public java.util.List<GenDataType> getAllGenDataTypes()

  Specified by:
    `getAllGenDataTypes` in interface `GenPackage`

### getOrderedGenClasses

    public java.util.List<GenClass> getOrderedGenClasses()

  Description copied from interface: `GenPackage`
  Returns the list of GenClasses in the GenPackage, ordered such that a class always follows all of the classes it extends. Appropriate for use in package interface to declare feature constants, which will depend on (and hence must follow) constants for the extended class.

  Specified by:
    `getOrderedGenClasses` in interface `GenPackage`

### getOrderedGenClassifiers

    public java.util.List<GenClassifier> getOrderedGenClassifiers()

  Specified by:
    `getOrderedGenClassifiers` in interface `GenPackage`

### getClassifierID

    public java.lang.String getClassifierID(GenClassifier genClassifier)

  Specified by:
    `getClassifierID` in interface `GenPackage`

### getClassifierValue

    public int getClassifierValue(GenClassifier genClassifier)

  Specified by:
    `getClassifierValue` in interface `GenPackage`

### getLocalClassifierIndex

    public int getLocalClassifierIndex(GenClassifier genClassifier)

  Specified by:
    `getLocalClassifierIndex` in interface `GenPackage`

### getPackageSimpleDependencies

    public java.util.List<GenPackage> getPackageSimpleDependencies()

  Specified by:
    `getPackageSimpleDependencies` in interface `GenPackage`

### getPackageInterDependencies

    public java.util.List<GenPackage> getPackageInterDependencies()

  Specified by:
    `getPackageInterDependencies` in interface `GenPackage`

### getPackageLoadInterDependencies

    public java.util.List<GenPackage> getPackageLoadInterDependencies()

  Specified by:
    `getPackageLoadInterDependencies` in interface `GenPackage`

### getPackageBuildInterDependencies

    public java.util.List<GenPackage> getPackageBuildInterDependencies()

  Specified by:
    `getPackageBuildInterDependencies` in interface `GenPackage`

### getPackageInitializationDependencies

    public java.util.List<GenPackage> getPackageInitializationDependencies()

  Specified by:
    `getPackageInitializationDependencies` in interface `GenPackage`

### getPackageInstanceVariable

    public java.lang.String getPackageInstanceVariable(GenPackage genPackage)

  Specified by:
    `getPackageInstanceVariable` in interface `GenPackage`

### collectPackages

    protected void collectPackages(java.util.List<GenPackage> result,
                                   java.util.List<GenPackage> genPackages,
                                   int depth)

  Collects into result nested GenPackages to the specified depth, not counting those without classifiers (for which nothing is ever generated); -1 for no limit.

### getSubGenPackages

    public java.util.List<GenPackage> getSubGenPackages()

  Description copied from interface: `GenPackage`
  Returns a list of those nestedGenPackages for which hasClassifiers() is true.

  Specified by:
    `getSubGenPackages` in interface `GenPackage`

### getSuperGenPackage

    public GenPackage getSuperGenPackage()

  Description copied from interface: `GenPackage`
  Returns the closest GenPackage-typed container for which hasClassifiers() is true, or null if there is none.

  Specified by:
    `getSuperGenPackage` in interface `GenPackage`

### getRootGenPackage

    public GenPackage getRootGenPackage()

  Description copied from interface: `GenPackage`
  Returns the top-most GenPackage-typed container for which hasClassifiers() is true, which may be this GenPackage, itself.

  Specified by:
    `getRootGenPackage` in interface `GenPackage`

### isLoadingInitialization

    public boolean isLoadingInitialization()

  Description copied from interface: `GenPackage`
  Returns true if this is a root package that requires, or has a direct or indirect subpackage that requires, load initialization.

  Specified by:
    `isLoadingInitialization` in interface `GenPackage`

### isLoadedInitialization

    public boolean isLoadedInitialization()

  Description copied from interface: `GenPackage`
  Returns true if this package's root, which may be itself, requires, or has a subpackage that requires, load initialization.

  Specified by:
    `isLoadedInitialization` in interface `GenPackage`

### isEcorePackage

    public boolean isEcorePackage()

  Specified by:
    `isEcorePackage` in interface `GenPackage`

### hasJavaLangConflict

    public boolean hasJavaLangConflict()

  Specified by:
    `hasJavaLangConflict` in interface `GenPackage`

### getJavaLangConflicts

    public java.util.List<java.lang.String> getJavaLangConflicts()

  Specified by:
    `getJavaLangConflicts` in interface `GenPackage`

### hasInterfaceImplConflict

    public boolean hasInterfaceImplConflict()

  Specified by:
    `hasInterfaceImplConflict` in interface `GenPackage`

### getAllSwitchGenClasses

    public java.util.List<GenClass> getAllSwitchGenClasses()

  Specified by:
    `getAllSwitchGenClasses` in interface `GenPackage`

### getClassUniqueName

    public java.lang.String getClassUniqueName(GenClass genClass)

  Specified by:
    `getClassUniqueName` in interface `GenPackage`

### getAllValidatorBaseGenPackages

    public java.util.List<GenPackage> getAllValidatorBaseGenPackages()

  Specified by:
    `getAllValidatorBaseGenPackages` in interface `GenPackage`

### getValidatorPackageUniqueSafeName

    public java.lang.String getValidatorPackageUniqueSafeName(GenPackage genPackage)

  Specified by:
    `getValidatorPackageUniqueSafeName` in interface `GenPackage`

### initialize

    public void initialize(EPackage ePackage)

  Specified by:
    `initialize` in interface `GenPackage`

### hasModelContribution

    protected boolean hasModelContribution()

  Overrides:
    `hasModelContribution` in class `GenBaseImpl`

### generate

    @Deprecated
    public void generate(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generate` in interface `GenBase`
  Overrides:
    `generate` in class `GenBaseImpl`

### prepareCache

    public void prepareCache()

  Create helpers to cache and supply information for unique naming.

  Specified by:
    `prepareCache` in interface `GenPackage`

### clearCache

    public void clearCache()

  Clear the cache for unique naming information.

  Specified by:
    `clearCache` in interface `GenPackage`

### generateSchema

    @Deprecated
    public void generateSchema()

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateSchema` in interface `GenPackage`

### canGenerateSchema

    @Deprecated
    public boolean canGenerateSchema()

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `canGenerateSchema` in interface `GenBase`
  Overrides:
    `canGenerateSchema` in class `GenBaseImpl`

### generateSchema

    @Deprecated
    public void generateSchema(Monitor progressMonitor)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

  Specified by:
    `generateSchema` in interface `GenBase`
  Overrides:
    `generateSchema` in class `GenBaseImpl`

### generateXSD

    @Deprecated
    protected void generateXSD(java.lang.String type)

  Deprecated. In EMF 2.2, schema generation is properly done via a model exporter. This method will be removed after 2.2.

### generatePackageSerialization

    @Deprecated
    public void generatePackageSerialization(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

### getProviderPackageName

    public java.lang.String getProviderPackageName()

  Specified by:
    `getProviderPackageName` in interface `GenPackage`

### getPresentationPackageName

    public java.lang.String getPresentationPackageName()

  Specified by:
    `getPresentationPackageName` in interface `GenPackage`

### getQualifiedPackageName

    protected java.lang.String getQualifiedPackageName(java.lang.String suffix)

### getQualifiedPackageName

    public java.lang.String getQualifiedPackageName()

  Specified by:
    `getQualifiedPackageName` in interface `GenPackage`

### getItemProviderAdapterFactoryClassName

    public java.lang.String getItemProviderAdapterFactoryClassName()

  Specified by:
    `getItemProviderAdapterFactoryClassName` in interface `GenPackage`

### getQualifiedItemProviderAdapterFactoryClassName

    public java.lang.String getQualifiedItemProviderAdapterFactoryClassName()

  Specified by:
    `getQualifiedItemProviderAdapterFactoryClassName` in interface `GenPackage`

### getImportedItemProviderAdapterFactoryClassName

    public java.lang.String getImportedItemProviderAdapterFactoryClassName()

  Specified by:
    `getImportedItemProviderAdapterFactoryClassName` in interface `GenPackage`

### getEditorClassName

    public java.lang.String getEditorClassName()

  Specified by:
    `getEditorClassName` in interface `GenPackage`

### getQualifiedEditorClassName

    public java.lang.String getQualifiedEditorClassName()

  Specified by:
    `getQualifiedEditorClassName` in interface `GenPackage`

### getImportedEditorClassName

    public java.lang.String getImportedEditorClassName()

  Specified by:
    `getImportedEditorClassName` in interface `GenPackage`

### getModelWizardClassName

    public java.lang.String getModelWizardClassName()

  Specified by:
    `getModelWizardClassName` in interface `GenPackage`

### getQualifiedModelWizardClassName

    public java.lang.String getQualifiedModelWizardClassName()

  Specified by:
    `getQualifiedModelWizardClassName` in interface `GenPackage`

### getImportedModelWizardClassName

    public java.lang.String getImportedModelWizardClassName()

  Specified by:
    `getImportedModelWizardClassName` in interface `GenPackage`

### getActionBarContributorClassName

    public java.lang.String getActionBarContributorClassName()

  Specified by:
    `getActionBarContributorClassName` in interface `GenPackage`

### getQualifiedActionBarContributorClassName

    public java.lang.String getQualifiedActionBarContributorClassName()

  Specified by:
    `getQualifiedActionBarContributorClassName` in interface `GenPackage`

### getImportedActionBarContributorClassName

    public java.lang.String getImportedActionBarContributorClassName()

  Specified by:
    `getImportedActionBarContributorClassName` in interface `GenPackage`

### getAdapterFactoryDelegateName

    public java.lang.String getAdapterFactoryDelegateName(GenPackage genDelegate)

  Specified by:
    `getAdapterFactoryDelegateName` in interface `GenPackage`

### getUncapAdapterFactoryDelegateName

    public java.lang.String getUncapAdapterFactoryDelegateName(GenPackage genDelegate)

  Specified by:
    `getUncapAdapterFactoryDelegateName` in interface `GenPackage`

### getEditPluginClassName

    public java.lang.String getEditPluginClassName()

  Specified by:
    `getEditPluginClassName` in interface `GenPackage`

### getQualifiedEditPluginClassName

    public java.lang.String getQualifiedEditPluginClassName()

  Specified by:
    `getQualifiedEditPluginClassName` in interface `GenPackage`

### getImportedEditPluginClassName

    public java.lang.String getImportedEditPluginClassName()

  Specified by:
    `getImportedEditPluginClassName` in interface `GenPackage`

### getEditorPluginClassName

    public java.lang.String getEditorPluginClassName()

  Specified by:
    `getEditorPluginClassName` in interface `GenPackage`

### getQualifiedEditorPluginClassName

    public java.lang.String getQualifiedEditorPluginClassName()

  Specified by:
    `getQualifiedEditorPluginClassName` in interface `GenPackage`

### getImportedEditorPluginClassName

    public java.lang.String getImportedEditorPluginClassName()

  Specified by:
    `getImportedEditorPluginClassName` in interface `GenPackage`

### getCapPackageID

    public java.lang.String getCapPackageID()

### getAllGenFeatures

    public java.util.List<GenFeature> getAllGenFeatures()

  Specified by:
    `getAllGenFeatures` in interface `GenPackage`

### getFilteredAllGenFeatures

    public java.util.List<GenFeature> getFilteredAllGenFeatures()

### getAdapterDelegatePackages

    public java.util.List<GenPackage> getAdapterDelegatePackages()

  Specified by:
    `getAdapterDelegatePackages` in interface `GenPackage`

### getAdapterDelegateSuperClasses

    public java.util.List<GenClass> getAdapterDelegateSuperClasses()

  Specified by:
    `getAdapterDelegateSuperClasses` in interface `GenPackage`

### hasStatefulProvider

    public boolean hasStatefulProvider()

  Specified by:
    `hasStatefulProvider` in interface `GenPackage`

### generateEdit

    @Deprecated
    public void generateEdit(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEdit` in interface `GenBase`
  Overrides:
    `generateEdit` in class `GenBaseImpl`

### generateEditor

    @Deprecated
    public void generateEditor(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateEditor` in interface `GenBase`
  Overrides:
    `generateEditor` in class `GenBaseImpl`

### hasTests

    public boolean hasTests()

  Specified by:
    `hasTests` in interface `GenPackage`

### canGenerateTests

    public boolean canGenerateTests()

  Specified by:
    `canGenerateTests` in interface `GenBase`
  Overrides:
    `canGenerateTests` in class `GenBaseImpl`

### generateTests

    @Deprecated
    public void generateTests(Monitor progressMonitor)

  Deprecated. In EMF 2.2, a `Generator` should be used to generate code. This method will be removed after 2.2.

  Specified by:
    `generateTests` in interface `GenBase`
  Overrides:
    `generateTests` in class `GenBaseImpl`

### getModelIconFileName

    public java.lang.String getModelIconFileName()

  Specified by:
    `getModelIconFileName` in interface `GenPackage`

### getModelWizardIconFileName

    public java.lang.String getModelWizardIconFileName()

  Specified by:
    `getModelWizardIconFileName` in interface `GenPackage`

### hasClassifiers

    public boolean hasClassifiers()

  Specified by:
    `hasClassifiers` in interface `GenPackage`

### hasClassifiers

    public boolean hasClassifiers(boolean traverseNestedPackages)

  Specified by:
    `hasClassifiers` in interface `GenPackage`

### getModelInfo

    public java.lang.String getModelInfo()

  Specified by:
    `getModelInfo` in interface `GenPackage`
  Overrides:
    `getModelInfo` in class `GenBaseImpl`

### reconcile

    public boolean reconcile(GenPackage oldGenPackageVersion)

  Specified by:
    `reconcile` in interface `GenPackage`

### reconcileSettings

    protected void reconcileSettings(GenPackage oldGenPackageVersion)

### reconcile

    public boolean reconcile()

  Specified by:
    `reconcile` in interface `GenBase`

### getAnnotationSources

    public java.util.List<java.lang.String> getAnnotationSources()

  Specified by:
    `getAnnotationSources` in interface `GenPackage`

### getAnnotationSourceIdentifier

    public java.lang.String getAnnotationSourceIdentifier(java.lang.String annotationSource)

  Specified by:
    `getAnnotationSourceIdentifier` in interface `GenPackage`

### getAllAnnotations

    public java.util.List<EAnnotation> getAllAnnotations()

  Specified by:
    `getAllAnnotations` in interface `GenPackage`

### getAnnotatedModelElementAccessor

    public java.lang.String getAnnotatedModelElementAccessor(EAnnotation eAnnotation)

  Specified by:
    `getAnnotatedModelElementAccessor` in interface `GenPackage`

### getAllNestedAnnotations

    public java.util.List<EAnnotation> getAllNestedAnnotations(EAnnotation eAnnotation)

  Specified by:
    `getAllNestedAnnotations` in interface `GenPackage`

### getReferenceData

    public java.util.List<GenPackage.AnnotationReferenceData> getReferenceData(EAnnotation eAnnotation)

  Specified by:
    `getReferenceData` in interface `GenPackage`

### getResourceClassName

    public java.lang.String getResourceClassName()

  Specified by:
    `getResourceClassName` in interface `GenPackage`

### getQualifiedResourceClassName

    public java.lang.String getQualifiedResourceClassName()

  Specified by:
    `getQualifiedResourceClassName` in interface `GenPackage`

### getImportedResourceClassName

    public java.lang.String getImportedResourceClassName()

  Specified by:
    `getImportedResourceClassName` in interface `GenPackage`

### getImportedResourceBaseClassName

    public java.lang.String getImportedResourceBaseClassName()

  Specified by:
    `getImportedResourceBaseClassName` in interface `GenPackage`

### getResourceFactoryClassName

    public java.lang.String getResourceFactoryClassName()

  Specified by:
    `getResourceFactoryClassName` in interface `GenPackage`

### getQualifiedResourceFactoryClassName

    public java.lang.String getQualifiedResourceFactoryClassName()

  Specified by:
    `getQualifiedResourceFactoryClassName` in interface `GenPackage`

### getImportedResourceFactoryClassName

    public java.lang.String getImportedResourceFactoryClassName()

  Specified by:
    `getImportedResourceFactoryClassName` in interface `GenPackage`

### getImportedResourceFactoryBaseClassName

    public java.lang.String getImportedResourceFactoryBaseClassName()

  Specified by:
    `getImportedResourceFactoryBaseClassName` in interface `GenPackage`

### hasDocumentRoot

    public boolean hasDocumentRoot()

  Specified by:
    `hasDocumentRoot` in interface `GenPackage`

### getDocumentRoot

    public GenClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `GenPackage`

### hasExtendedMetaData

    public boolean hasExtendedMetaData()

  Specified by:
    `hasExtendedMetaData` in interface `GenPackage`

### hasExtendedMetaData

    protected static boolean hasExtendedMetaData(EPackage ePackage)

### hasXMLMap

    public boolean hasXMLMap()

  Specified by:
    `hasXMLMap` in interface `GenPackage`

### hasTargetNamespace

    public boolean hasTargetNamespace()

  Specified by:
    `hasTargetNamespace` in interface `GenPackage`

### getSerializedPackageFilename

    public java.lang.String getSerializedPackageFilename()

  Specified by:
    `getSerializedPackageFilename` in interface `GenPackage`

### isBigModel

    protected boolean isBigModel()

### getProviderSupportedTypes

    public java.util.List<java.lang.String> getProviderSupportedTypes()

  Specified by:
    `getProviderSupportedTypes` in interface `GenPackage`

### getRootClass

    public GenClass getRootClass()

  Specified by:
    `getRootClass` in interface `GenPackage`

### getRootFeature

    public GenFeature getRootFeature()

  Specified by:
    `getRootFeature` in interface `GenPackage`

### hasConcreteClasses

    public boolean hasConcreteClasses()

  Specified by:
    `hasConcreteClasses` in interface `GenPackage`

### getExtendedChildCreationData

    public java.util.Map<GenPackage,java.util.Map<GenClass,java.util.List<GenClass.ChildCreationData>>> getExtendedChildCreationData()

  Description copied from interface: `GenPackage`
  Returns a nested map structure describing the child creation extensions that this package provides to other packages. The result maps other packages to their classes that have child creation extension provided by this package. Each inner map maps from the class to the list of child creation data for these extensions.

  Specified by:
    `getExtendedChildCreationData` in interface `GenPackage`

### getChildCreationExtenderName

    public java.lang.String getChildCreationExtenderName(GenPackage genPackage)

  Specified by:
    `getChildCreationExtenderName` in interface `GenPackage`

### isContentType

    public boolean isContentType()

  Description copied from interface: `GenPackage`
  Returns whether the package should define a content type.

  Specified by:
    `isContentType` in interface `GenPackage`
  See Also:
    `GenPackage.getContentTypeIdentifier()`

### getQualifiedContentTypeIdentifier

    public java.lang.String getQualifiedContentTypeIdentifier()

  Description copied from interface: `GenPackage`
  Returns the qualified content type identifier. Usually, this is the same as `GenPackage.getContentTypeIdentifier()`; however, if that value is unqualified, this will add the implicit model plug-in ID qualification.

  Specified by:
    `getQualifiedContentTypeIdentifier` in interface `GenPackage`
  See Also:
    `GenPackage.getContentTypeIdentifier()`

### isXMIResource

    public boolean isXMIResource()

  Description copied from interface: `GenPackage`
  Returns whether the package's `resource` produces an XMI serialization.

  Specified by:
    `isXMIResource` in interface `GenPackage`
  See Also:
    `GenPackage.getResource()`

### getQualifiedEffectiveResourceFactoryClassName

    public java.lang.String getQualifiedEffectiveResourceFactoryClassName()

  Description copied from interface: `GenPackage`
  Returns the package's `resource factory class name`, or the framework's default XMI resource factory class name if no `resource` will be generated for the package.

  Specified by:
    `getQualifiedEffectiveResourceFactoryClassName` in interface `GenPackage`
  See Also:
    `GenPackage.getQualifiedResourceFactoryClassName()`, `GenPackage.getResource()`

### isMultipleFileExtensions

    public boolean isMultipleFileExtensions()

  Description copied from interface: `GenPackage`
  Returns whether the model supports multiple file extensions, based both on the specified `extensions` and the use of a `content type`.

  Specified by:
    `isMultipleFileExtensions` in interface `GenPackage`
  See Also:
    `GenPackage.getFileExtensions()`, `GenPackage.isContentType()`

### getFileExtension

    public java.lang.String getFileExtension()

  Description copied from interface: `GenPackage`
  Returns the first `file extension` in the comma-separated list.

  Specified by:
    `getFileExtension` in interface `GenPackage`
  See Also:
    `GenPackage.getFileExtensions()`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.